summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-x.local/bin/fetch_mail.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/.local/bin/fetch_mail.sh b/.local/bin/fetch_mail.sh
index 407fbdb..c342215 100755
--- a/.local/bin/fetch_mail.sh
+++ b/.local/bin/fetch_mail.sh
@@ -17,11 +17,9 @@ else
pre_count="$((pre_count + mb1 + mb2))"
fi
-if [ $TERM == "dump" ]; then
- if ! echo test | gpg2 --sign --batch --no-tty --pinentry-mode error -o /dev/null >/dev/null 2>&1; then
- notify-send -u low -t 6000 'mbsync' ' GPG locked'
- exit 1
- fi
+if ! echo test | gpg2 --sign --batch --no-tty --pinentry-mode error -o /dev/null >/dev/null 2>&1; then
+ notify-send -u low -t 6000 'mbsync' ' GPG locked'
+ exit 1
fi
killall mbsync >/dev/null 2>&1
notify-send -u low -t 3000 'mbsync' ' fetching mail...' >/dev/null 2>&1